## snappy-java 1.0.4.1~dfsg

=== Makefile ===

include Makefile.common

MVN:=mvn

all: snappy

SNAPPY_OUT:=$(TARGET)/$(snappy)-$(os_arch)
SNAPPY_ARCHIVE:=$(TARGET)/snappy-$(VERSION).tar.gz 
SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy.cc
SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(VERSION)
SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
SNAPPY_OBJ:=$(addprefix $(SNAPPY_OUT)/,$(patsubst %.cc,%.o,$(SNAPPY_CC)) SnappyNative.o)

SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log

CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR)

$(SNAPPY_ARCHIVE):
	@mkdir -p $(@D)
	curl -o$@ http://snappy.googlecode.com/files/snappy-$(VERSION).tar.gz

$(SNAPPY_UNPACKED): $(SNAPPY_ARCHIVE)
	tar xvfz $< -C $(TARGET)	
	touch $@

jni-header: $(SRC)/org/xerial/snappy/SnappyNative.h


$(SRC)/org/xerial/snappy/SnappyNative.h: $(SRC)/org/xerial/snappy/SnappyNative.java
	$(JAVAH) -classpath $(TARGET)/classes -o $@ org.xerial.snappy.SnappyNative

bytecode: src/main/resources/org/xerial/snappy/SnappyNativeLoader.bytecode

src/main/resources/org/xerial/snappy/SnappyNativeLoader.bytecode: src/main/resources/org/xerial/snappy/SnappyNativeLoader.java
	@mkdir -p $(TARGET)/temp
	$(JAVAC) -source 1.5 -target 1.5 -d $(TARGET)/temp $<
	cp $(TARGET)/temp/org/xerial/snappy/SnappyNativeLoader.class $@

$(SNAPPY_SRC): $(SNAPPY_UNPACKED)

$(SNAPPY_OUT)/%.o : $(SNAPPY_SRC_DIR)/%.cc
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@ 

$(SNAPPY_OUT)/SnappyNative.o : $(SRC)/org/xerial/snappy/SnappyNative.cpp $(SRC)/org/xerial/snappy/SnappyNative.h  
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@


$(SNAPPY_OUT)/$(LIBNAME): $(SNAPPY_OBJ)
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LINKFLAGS) 
	$(STRIP) $@

clean-native: 
	rm -rf $(SNAPPY_OUT)

clean:
	rm -rf $(TARGET)

NATIVE_DIR:=src/main/resources/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=$(TARGET)/classes/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

snappy-jar-version:=snappy-java-$(shell $(JAVA) -jar lib/silk-weaver.jar find 'project(artifactId, version)' pom.xml | grep snappy-java | awk '{ print $$2; }')

native: $(SNAPPY_UNPACKED) $(NATIVE_DLL) 
snappy: native $(TARGET)/$(snappy-jar-version).jar

$(NATIVE_DLL): $(SNAPPY_OUT)/$(LIBNAME) 
	@mkdir -p $(@D)
	cp $< $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $< $(NATIVE_TARGET_DIR)/$(LIBNAME)


$(TARGET)/$(snappy-jar-version).jar: native $(NATIVE_DLL)
	$(MVN) package -Dmaven.test.skip=true

test: $(NATIVE_DLL)
	$(MVN) test

win32: 
	$(MAKE) native CXX=mingw32-g++ OS_NAME=Windows OS_ARCH=x86  

mac32: 
	$(MAKE) native OS_NAME=Mac OS_ARCH=i386

linux32:
	$(MAKE) native OS_NAME=Linux OS_ARCH=i386

clean-native-linux32:
	$(MAKE) clean-native OS_NAME=Linux OS_ARCH=i386

clean-native-win32:
	$(MAKE) clean-native OS_NAME=Windows OS_ARCH=x86

javadoc:
	$(MVN) javadoc:javadoc -DreportOutputDirectory=wiki/apidocs

=== debian/changelog ===
snappy-java (1.0.4.1~dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #636181)

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Mar 2012 23:34:09 +0200

=== debian/control ===
Source: snappy-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>,
Build-Depends: debhelper (>= 8), cdbs, default-jdk, maven-debian-helper (>= 1.4),
 xml-twig-tools, libsnappy-dev
Build-Depends-Indep: libmaven-bundle-plugin-java
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/debian-med/snappy-java.git
Vcs-Browser: http://git.debian.org/?p=debian-med/snappy-java.git
Homepage: http://code.google.com/p/snappy-java/ 

Package: libsnappy-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, ${shlib:Depends}, libsnappy1
Recommends: ${maven:OptionalDepends}
Description: Snappy for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google. 
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java

get-orig-source:
	uscan --verbose --force-download

=== debian/watch ===
version=3
#http://googlecode.debian.net/p/snappy-java/snappy-java-(.*).tar.gz
opts=dversionmangle=s/\~dfsg// \
 http://code.google.com/p/snappy-java/downloads/list?can=1 \
  .*/snappy-java-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip) \
 debian debian/get-orig-source

## snappy-java 1.1.1.7

=== Makefile ===

include Makefile.common

MVN:=mvn
SBT:=./sbt

all: snappy

SNAPPY_OUT:=$(TARGET)/$(snappy)-$(os_arch)
SNAPPY_ARCHIVE:=$(TARGET)/snappy-$(VERSION).tar.gz 
SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy.cc
SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(VERSION)
SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
SNAPPY_OBJ:=$(addprefix $(SNAPPY_OUT)/,$(patsubst %.cc,%.o,$(SNAPPY_CC)) SnappyNative.o)

SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log
SNAPPY_GIT_UNPACKED:=$(TARGET)/snappy-git-extracted.log

ifdef USE_GIT
  ifndef GIT_REPO_URL
    $(warning GIT_REPO_URL is not set when using git)
  endif
  ifndef GIT_SNAPPY_BRANCH
    $(warning GIT_SNAPPY_BRANCH is not set when using git)
  endif
endif

CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR)

ifeq ($(OS_NAME),SunOS)
	TAR:= gtar
else
	TAR:= tar
endif

$(SNAPPY_ARCHIVE):
	@mkdir -p $(@D)
	curl -o$@ http://snappy.googlecode.com/files/snappy-$(VERSION).tar.gz

$(SNAPPY_UNPACKED): $(SNAPPY_ARCHIVE)
	$(TAR) xvfz $< -C $(TARGET)	
	touch $@
	cd  $(SNAPPY_SRC_DIR) && ./configure

$(SNAPPY_GIT_UNPACKED):
	@mkdir -p $(SNAPPY_SRC_DIR)
	git clone $(GIT_REPO_URL) $(SNAPPY_SRC_DIR)
	git --git-dir=$(SNAPPY_SRC_DIR)/.git --work-tree=$(SNAPPY_SRC_DIR) checkout -b local/snappy-$(GIT_SNAPPY_BRANCH) $(GIT_SNAPPY_BRANCH)
	touch $@
	cd  $(SNAPPY_SRC_DIR) && ./configure

jni-header: $(SRC)/org/xerial/snappy/SnappyNative.h

$(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class : $(SRC)/org/xerial/snappy/SnappyNative.java
	@mkdir -p $(TARGET)/jni-classes
	$(JAVAC) -source 1.6 -target 1.6 -d $(TARGET)/jni-classes -sourcepath $(SRC) $<

$(SRC)/org/xerial/snappy/SnappyNative.h: $(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class
	$(JAVAH) -force -classpath $(TARGET)/jni-classes -o $@ org.xerial.snappy.SnappyNative

ifndef USE_GIT
  $(SNAPPY_SRC): $(SNAPPY_UNPACKED)
else
  $(SNAPPY_SRC): $(SNAPPY_GIT_UNPACKED)
endif

$(SNAPPY_OUT)/%.o : $(SNAPPY_SRC_DIR)/%.cc
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@ 

$(SNAPPY_OUT)/SnappyNative.o : $(SRC)/org/xerial/snappy/SnappyNative.cpp $(SRC)/org/xerial/snappy/SnappyNative.h  
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@


$(SNAPPY_OUT)/$(LIBNAME): $(SNAPPY_OBJ)
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LINKFLAGS) 
	$(STRIP) $@

clean-native: 
	rm -rf $(SNAPPY_OUT)

clean:
	rm -rf $(TARGET)

NATIVE_DIR:=src/main/resources/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=$(TARGET)/classes/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

snappy-jar-version:=snappy-java-$(shell perl -npe "s/version in ThisBuild\s+:=\s+\"(.*)\"/\1/" version.sbt | sed -e "/^$$/d")

ifndef USE_GIT
  native: $(SNAPPY_UNPACKED) $(NATIVE_DLL)
else
  native: $(SNAPPY_GIT_UNPACKED) $(NATIVE_DLL)
endif
snappy: native $(TARGET)/$(snappy-jar-version).jar

$(NATIVE_DLL): $(SNAPPY_OUT)/$(LIBNAME) 
	@mkdir -p $(@D)
	cp $< $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $< $(NATIVE_TARGET_DIR)/$(LIBNAME)


package: $(TARGET)/$(snappy-jar-version).jar

$(TARGET)/$(snappy-jar-version).jar: 
	$(SBT) package 

test: $(NATIVE_DLL)
	$(SBT) test

win32: 
	$(MAKE) native CROSS_PREFIX=i686-w64-mingw32- OS_NAME=Windows OS_ARCH=x86

# for cross-compilation on Ubuntu, install the g++-mingw-w64-x86-64 package
win64:
	$(MAKE) native CROSS_PREFIX=x86_64-w64-mingw32- OS_NAME=Windows OS_ARCH=x86_64

mac32: 
	$(MAKE) native OS_NAME=Mac OS_ARCH=x86

linux32:
	$(MAKE) native OS_NAME=Linux OS_ARCH=x86

freebsd64:
	$(MAKE) native OS_NAME=FreeBSD OS_ARCH=x86_64

# for cross-compilation on Ubuntu, install the g++-arm-linux-gnueabi package
linux-arm:
	$(MAKE) native CROSS_PREFIX=arm-linux-gnueabi- OS_NAME=Linux OS_ARCH=arm

# for cross-compilation on Ubuntu, install the g++-arm-linux-gnueabihf package
linux-armhf:
	$(MAKE) native CROSS_PREFIX=arm-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armhf

# for cross-compilation on Ubuntu, install the g++-aarch64-linux-gnu
linux-aarch64:
	$(MAKE) native CROSS_PREFIX=aarch64-linux-gnu- OS_NAME=Linux OS_ARCH=aarch64

clean-native-linux32:
	$(MAKE) clean-native OS_NAME=Linux OS_ARCH=x86

clean-native-win32:
	$(MAKE) clean-native OS_NAME=Windows OS_ARCH=x86

javadoc:
	$(SBT) doc

install-m2:
	$(SBT) publishM2

googlecode-upload: googlecode-lib-upload googlecode-src-upload

googlecode-lib-upload: $(TARGET)/snappy-java-$(VERSION)-lib.upload
googlecode-src-upload: $(TARGET)/snappy-java-$(VERSION)-src.upload

GOOGLECODE_USER:=leo@xerial.org

$(TARGET)/snappy-java-$(VERSION)-lib.upload:
	./googlecode_upload.py -s "library for all platforms" -p snappy-java -l "Type-Executable,Featured,OpSys-All" -u "$(GOOGLECODE_USER)" target/snappy-java-$(VERSION).jar 
	touch $@

$(TARGET)/snappy-java-$(VERSION)-src.upload:
	./googlecode_upload.py -s "source code archive" -p snappy-java -l "Type-Source,OpSys-All" -u "$(GOOGLECODE_USER)" target/snappy-java-$(VERSION).tar.gz 
	touch $@

=== debian/changelog ===
snappy-java (1.1.1.7-1ubuntu1) wily; urgency=medium

  * Fix the build with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 16:15:46 +0200

snappy-java (1.1.1.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Apr 2015 13:53:38 +0200

snappy-java (1.1.1.6-2) unstable; urgency=medium

  * Team upload.
  * libsnappy-jni can now be built independently of libsnappy-java
    (Closes: #780316)

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Mar 2015 16:32:11 +0100

snappy-java (1.1.1.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Build and install the JNI bindings in libsnappy-jni (Closes: #734599)
    - Removed the patches modifying the unused Makefile
    - Removed the unused build dependency on xml-twig-tools
  * Build with DH instead of CDBS
  * Install the upstream changelog
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
    - Updated the project URL
  * debian/watch: Watch the release tags on Github
  * Replaced debian/get-orig-source with debian/orig-tar.sh
  * Use XZ compression for the upstream tarball
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Nov 2014 09:50:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java
DEB_HOST_MULTIARCH   = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=maven

override_dh_auto_configure:
	sed -e 's/%VERSION%/$(DEB_UPSTREAM_VERSION)/g' debian/pom.xml > pom.xml
	dh_auto_configure

override_dh_auto_build-arch:
	# Build the JNI bindings
	mkdir -p target
	gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
	    -I$(JAVA_HOME)/include/ \
	    -I$(JAVA_HOME)/include/linux \
	    -fPIC -shared -Wall -g \
	    -o target/libsnappyjava.so \
	    src/main/java/org/xerial/snappy/SnappyNative.cpp -lsnappy

override_dh_auto_install-indep:
	dh_auto_install
	dh_installchangelogs -plibsnappy-java Milestone.md

override_dh_auto_install-arch:
	dh_install -plibsnappy-jni target/*.so usr/lib/$(DEB_HOST_MULTIARCH)/jni

override_dh_auto_clean:
	-dh_auto_clean
	rm -f pom.xml

get-orig-source:
	uscan --download-current-version --rename --force-download

## snappy-java 1.1.2

=== debian/changelog ===
snappy-java (1.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Oct 2015 09:37:51 +0200

snappy-java (1.1.1.7-2) unstable; urgency=medium

  * Team upload.
  * Fix the build with ld --as-needed (Closes: #797558)

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 16:15:46 +0200

=== debian/control ===
Source: snappy-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>,
Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4), libsnappy-dev
Build-Depends-Indep: libmaven-bundle-plugin-java
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/snappy-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/snappy-java.git
Homepage: https://github.com/xerial/snappy-java

Package: libsnappy-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, libsnappy-jni
Description: Snappy for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google. 
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset). 

Package: libsnappy-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Snappy for Java, a fast compressor/decompresser (JNI library)
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google.
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).
 .
 This package contains the architecture specific Java native interface part.

## snappy-java 1.1.2.1

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	git clone $(GIT_REPO_URL) $(SNAPPY_SRC_DIR)
 	git --git-dir=$(SNAPPY_SRC_DIR)/.git --work-tree=$(SNAPPY_SRC_DIR) checkout -b local/snappy-$(GIT_SNAPPY_BRANCH) $(GIT_SNAPPY_BRANCH)
 	touch $@
-	cd  $(SNAPPY_SRC_DIR) && ./configure
+	cd  $(SNAPPY_SRC_DIR) && ./autogen.sh && ./configure
 
 jni-header: $(SRC)/org/xerial/snappy/SnappyNative.h

=== debian/changelog ===
snappy-java (1.1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version updated to 3.9.7 (no changes)
  * Fixed the build failure when building only libsnappy-jni (with debuild -B)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Feb 2016 23:59:29 +0100

snappy-java (1.1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 29 Jan 2016 22:47:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Andreas Tille <tille@debian.org>,
 Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4), libsnappy-dev
 Build-Depends-Indep: libmaven-bundle-plugin-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/snappy-java.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/snappy-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java
 
@@ -16,12 +16,12 @@
 Depends: ${misc:Depends}, ${maven:Depends}, libsnappy-jni
 Description: Snappy for Java, a fast compressor/decompresser
  Java port of Snappy, a fast compresser/decompresser written in C++,
- originally developed by Google. 
+ originally developed by Google.
  .
  Snappy's main target is very high-speed compression/decompression with
  reasonable compression size. So the compression ratio of snappy-java is
  modest and about the same as LZF (ranging 20%-100% according to the
- dataset). 
+ dataset).
 
 Package: libsnappy-jni
 Architecture: any

=== debian/watch ===
version=3
#http://googlecode.debian.net/p/snappy-java/snappy-java-(.*).tar.gz
https://github.com/xerial/snappy-java/tags .*/([\d\.]+).tar.gz debian debian/orig-tar.sh

## snappy-java 1.1.2.4

=== debian/changelog ===
snappy-java (1.1.2.4-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2016 08:17:05 +0200

snappy-java (1.1.2.4-3) unstable; urgency=medium

  * Team upload.
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Apr 2016 16:04:41 +0200

## snappy-java 1.1.2.6

=== debian/changelog ===
snappy-java (1.1.2.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jun 2017 16:00:40 +0200

snappy-java (1.1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 3.9.8

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 14:08:48 +0200

## snappy-java 1.1.4

=== Makefile ===

include Makefile.common

MVN:=mvn
SBT:=./sbt

all: snappy

SNAPPY_OUT:=$(TARGET)/snappy-$(SNAPPY_VERSION)-$(os_arch)
SNAPPY_ARCHIVE:=$(TARGET)/snappy-$(SNAPPY_VERSION).tar.gz
SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy.cc
SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(SNAPPY_VERSION)
SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
SNAPPY_GIT_REPO_URL:=https://github.com/google/snappy
SNAPPY_GIT_REV:=2d99bd14d471664758e4dfdf81b44f413a7353fd # 1.1.4
SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log
SNAPPY_GIT_UNPACKED:=$(TARGET)/snappy-git-extracted.log
SNAPPY_SOURCE_CONFIGURED:=$(TARGET)/snappy-configure.log

BITSHUFFLE_ARCHIVE:=$(TARGET)/bitshuffle-$(BITSHUFFLE_VERSION).tar.gz
BITSHUFFLE_C:=bitshuffle_core.c iochain.c
BITSHUFFLE_SRC_DIR:=$(TARGET)/bitshuffle-$(BITSHUFFLE_VERSION)/src
BITSHUFFLE_SRC:=$(addprefix $(BITSHUFFLE_SRC_DIR)/,$(BITSHUFFLE_C))
BITSHUFFLE_UNPACKED:=$(TARGET)/bitshuffle-extracted.log

$(BITSHUFFLE_ARCHIVE):
	@mkdir -p $(@D)
	curl -L -o$@ https://github.com/kiyo-masui/bitshuffle/archive/$(BITSHUFFLE_VERSION).tar.gz

$(BITSHUFFLE_UNPACKED): $(BITSHUFFLE_ARCHIVE)
	$(TAR) xvfz $< -C $(TARGET)
	touch $@

$(BITSHUFFLE_SRC): $(BITSHUFFLE_UNPACKED)

$(SNAPPY_OUT)/%.o: $(BITSHUFFLE_SRC_DIR)/%.c
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) $(CXXFLAGS_BITSHUFFLE) -c $< -o $@

SNAPPY_OBJ:=$(addprefix $(SNAPPY_OUT)/,$(patsubst %.cc,%.o,$(SNAPPY_CC)) $(patsubst %.c,%.o,$(BITSHUFFLE_C)) SnappyNative.o BitShuffleNative.o)

CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR) -I$(BITSHUFFLE_SRC_DIR)

ifndef CXXFLAGS_BITSHUFFLE
  ifeq ($(OS_NAME)-$(OS_ARCH),Linux-x86_64)
	# SSE2 is supported in all the x86_64 platforms and AVX2 is only supported
        # in the small part of them. gcc in linux/x86_64 typically enables SSE2 by default though,
	# we explicitly set flags below to make this precondition clearer.
	CXXFLAGS_BITSHUFFLE:=-U__AVX2__ -msse2
  else
	# Undefined macros to generate a platform-independent binary
	CXXFLAGS_BITSHUFFLE:=-U__AVX2__ -U__SSE2__
  endif
endif

ifeq ($(OS_NAME),SunOS)
	TAR:= gtar
else
ifeq ($(OS_NAME),AIX)
	TAR:= gtar
else
	TAR:= tar
endif
endif

$(SNAPPY_ARCHIVE):
	@mkdir -p $(@D)
	curl -L -o$@ https://github.com/google/snappy/releases/download/$(SNAPPY_VERSION)/snappy-$(SNAPPY_VERSION).tar.gz

$(SNAPPY_UNPACKED): $(SNAPPY_ARCHIVE)
	$(TAR) xvfz $< -C $(TARGET)
	touch $@
	cd  $(SNAPPY_SRC_DIR) && ./configure

$(SNAPPY_GIT_UNPACKED):
	rm -rf $(SNAPPY_SRC_DIR)
	@mkdir -p $(SNAPPY_SRC_DIR)
	git clone $(SNAPPY_GIT_REPO_URL) $(SNAPPY_SRC_DIR)
	git --git-dir=$(SNAPPY_SRC_DIR)/.git --work-tree=$(SNAPPY_SRC_DIR) checkout -b local/snappy-$(SNAPPY_VERSION) $(SNAPPY_GIT_REV)
	touch $@

$(SNAPPY_SOURCE_CONFIGURED): $(SNAPPY_GIT_UNPACKED)
	cd $(SNAPPY_SRC_DIR) && ./autogen.sh && ./configure
	touch $@

jni-header: $(SNAPPY_SOURCE_CONFIGURED) $(BITSHUFFLE_UNPACKED) $(SRC)/org/xerial/snappy/SnappyNative.h $(SRC)/org/xerial/snappy/BitShuffleNative.h

$(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class: $(SRC)/org/xerial/snappy/SnappyNative.java
	@mkdir -p $(TARGET)/jni-classes
	$(JAVAC) -source 1.7 -target 1.7 -d $(TARGET)/jni-classes -sourcepath $(SRC) $<

$(SRC)/org/xerial/snappy/SnappyNative.h: $(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class
	$(JAVAH) -force -classpath $(TARGET)/jni-classes -o $@ org.xerial.snappy.SnappyNative

$(TARGET)/jni-classes/org/xerial/snappy/BitShuffleNative.class: $(SRC)/org/xerial/snappy/BitShuffleNative.java
	@mkdir -p $(TARGET)/jni-classes
	$(JAVAC) -source 1.7 -target 1.7 -d $(TARGET)/jni-classes -sourcepath $(SRC) $<

$(SRC)/org/xerial/snappy/BitShuffleNative.h: $(TARGET)/jni-classes/org/xerial/snappy/BitShuffleNative.class
	$(JAVAH) -force -classpath $(TARGET)/jni-classes -o $@ org.xerial.snappy.BitShuffleNative

$(SNAPPY_SRC): $(SNAPPY_GIT_UNPACKED)

$(SNAPPY_OUT)/%.o: $(SNAPPY_SRC_DIR)/%.cc
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(SNAPPY_OUT)/SnappyNative.o: $(SRC)/org/xerial/snappy/SnappyNative.cpp $(SRC)/org/xerial/snappy/SnappyNative.h
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(SNAPPY_OUT)/BitShuffleNative.o: $(SRC)/org/xerial/snappy/BitShuffleNative.cpp $(SRC)/org/xerial/snappy/BitShuffleNative.h
	@mkdir -p $(@D)
	$(CXX) $(CXXFLAGS) -c $< -o $@

$(SNAPPY_OUT)/$(LIBNAME): $(SNAPPY_OBJ)
	$(CXX) $(CXXFLAGS) -o $@ $+ $(LINKFLAGS)
    # Workaround for strip Protocol error when using VirtualBox on Mac
	cp $@ /tmp/$(@F)
	$(STRIP) /tmp/$(@F)
	cp /tmp/$(@F) $@

clean-native:
	rm -rf $(SNAPPY_OUT)

clean:
	rm -rf $(TARGET)

NATIVE_DIR:=src/main/resources/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_TARGET_DIR:=$(TARGET)/classes/org/xerial/snappy/native/$(OS_NAME)/$(OS_ARCH)
NATIVE_DLL:=$(NATIVE_DIR)/$(LIBNAME)

snappy-jar-version:=snappy-java-$(shell perl -npe "s/version in ThisBuild\s+:=\s+\"(.*)\"/\1/" version.sbt | sed -e "/^$$/d")

native: jni-header $(NATIVE_DLL)
snappy: native $(TARGET)/$(snappy-jar-version).jar

native-all: win32 win64 mac64 native-arm linux32 linux64 linux-ppc64le linux-aarch64

$(NATIVE_DLL): $(SNAPPY_SOURCE_CONFIGURED) $(SNAPPY_OUT)/$(LIBNAME)
	@mkdir -p $(@D)
	cp $(SNAPPY_OUT)/$(LIBNAME) $@
	@mkdir -p $(NATIVE_TARGET_DIR)
	cp $(SNAPPY_OUT)/$(LIBNAME) $(NATIVE_TARGET_DIR)/$(LIBNAME)

package: $(TARGET)/$(snappy-jar-version).jar

$(TARGET)/$(snappy-jar-version).jar:
	$(SBT) package

test: $(NATIVE_DLL)
	$(SBT) test

DOCKER_RUN_OPTS:=--rm

win32: jni-header
	./docker/dockcross-windows-x86 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=i686-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86'

win64: jni-header
	./docker/dockcross-windows-x64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=x86_64-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86_64'

# deprecated
mac32: jni-header
	$(MAKE) native OS_NAME=Mac OS_ARCH=x86

mac64: jni-header
	docker run -it $(DOCKER_RUN_OPTS) -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-apple-darwin multiarch/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86_64

linux32: jni-header
	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86'

linux64: jni-header
	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86_64'

freebsd64:
	$(MAKE) native OS_NAME=FreeBSD OS_ARCH=x86_64

# For ARM
native-arm: linux-arm linux-armv6 linux-armv7 linux-android-arm

linux-arm: jni-header
	./docker/dockcross-armv5 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabi- OS_NAME=Linux OS_ARCH=arm'

linux-armv6: jni-header
	./docker/dockcross-armv6 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv6'

linux-armv7: jni-header
	./docker/dockcross-armv7 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv7'

linux-android-arm: jni-header
	./docker/dockcross-android-arm -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=/usr/arm-linux-androideabi/bin/arm-linux-androideabi- OS_NAME=Linux OS_ARCH=android-arm'

linux-ppc64le: jni-header
	./docker/dockcross-ppc64le -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=powerpc64le-linux-gnu- OS_NAME=Linux OS_ARCH=ppc64le'

linux-ppc64: jni-header
	./docker/dockcross-ppc64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=powerpc64-linux-gnu- OS_NAME=Linux OS_ARCH=ppc64'

linux-aarch64: jni-header
	./docker/dockcross-aarch64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=aarch64-linux-gnu- OS_NAME=Linux OS_ARCH=aarch64'

javadoc:
	$(SBT) doc

install-m2:
	$(SBT) publishM2

=== debian/changelog ===
snappy-java (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 20 Jun 2017 12:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Andreas Tille <tille@debian.org>,
 Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 1.4), libsnappy-dev
 Build-Depends-Indep: libmaven-bundle-plugin-java
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/snappy-java.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 	    -o target/libsnappyjava.so \
 	    src/main/java/org/xerial/snappy/SnappyNative.cpp -lsnappy
 
+override_dh_auto_test-arch:
+
 override_dh_auto_install-indep:
 	dh_auto_install
 	dh_installchangelogs -plibsnappy-java Milestone.md

## snappy-java 1.1.7.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,10 @@
 SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(SNAPPY_VERSION)
 SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
 SNAPPY_GIT_REPO_URL:=https://github.com/google/snappy
-SNAPPY_GIT_REV:=2d99bd14d471664758e4dfdf81b44f413a7353fd # 1.1.4
+SNAPPY_GIT_REV:=b02bfa754ebf27921d8da3bd2517eab445b84ff9 # 1.1.7
 SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log
 SNAPPY_GIT_UNPACKED:=$(TARGET)/snappy-git-extracted.log
-SNAPPY_SOURCE_CONFIGURED:=$(TARGET)/snappy-configure.log
+SNAPPY_CMAKE_CACHE=$(SNAPPY_OUT)/CMakeCache.txt
 
 BITSHUFFLE_ARCHIVE:=$(TARGET)/bitshuffle-$(BITSHUFFLE_VERSION).tar.gz
 BITSHUFFLE_C:=bitshuffle_core.c iochain.c
@@ -39,7 +39,7 @@
 
 SNAPPY_OBJ:=$(addprefix $(SNAPPY_OUT)/,$(patsubst %.cc,%.o,$(SNAPPY_CC)) $(patsubst %.c,%.o,$(BITSHUFFLE_C)) SnappyNative.o BitShuffleNative.o)
 
-CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR) -I$(BITSHUFFLE_SRC_DIR)
+CXXFLAGS:=$(CXXFLAGS) -I$(SNAPPY_SRC_DIR) -I$(SNAPPY_OUT) -I$(BITSHUFFLE_SRC_DIR)
 
 ifndef CXXFLAGS_BITSHUFFLE
   ifeq ($(OS_NAME)-$(OS_ARCH),Linux-x86_64)
@@ -70,20 +70,23 @@
 $(SNAPPY_UNPACKED): $(SNAPPY_ARCHIVE)
 	$(TAR) xvfz $< -C $(TARGET)
 	touch $@
-	cd  $(SNAPPY_SRC_DIR) && ./configure
 
 $(SNAPPY_GIT_UNPACKED):
+	@mkdir -p $(SNAPPY_OUT)
 	rm -rf $(SNAPPY_SRC_DIR)
 	@mkdir -p $(SNAPPY_SRC_DIR)
 	git clone $(SNAPPY_GIT_REPO_URL) $(SNAPPY_SRC_DIR)
 	git --git-dir=$(SNAPPY_SRC_DIR)/.git --work-tree=$(SNAPPY_SRC_DIR) checkout -b local/snappy-$(SNAPPY_VERSION) $(SNAPPY_GIT_REV)
 	touch $@
 
-$(SNAPPY_SOURCE_CONFIGURED): $(SNAPPY_GIT_UNPACKED)
-	cd $(SNAPPY_SRC_DIR) && ./autogen.sh && ./configure
-	touch $@
-
-jni-header: $(SNAPPY_SOURCE_CONFIGURED) $(BITSHUFFLE_UNPACKED) $(SRC)/org/xerial/snappy/SnappyNative.h $(SRC)/org/xerial/snappy/BitShuffleNative.h
+$(SNAPPY_CMAKE_CACHE): $(SNAPPY_GIT_UNPACKED)
+	@mkdir -p $(SNAPPY_OUT)
+	cd $(SNAPPY_OUT) && cmake $(SNAPPY_CMAKE_OPTS) ../../$(SNAPPY_SRC_DIR)
+	touch $@
+
+jni-header: $(SNAPPY_GIT_UNPACKED) $(BITSHUFFLE_UNPACKED) $(SRC)/org/xerial/snappy/SnappyNative.h $(SRC)/org/xerial/snappy/BitShuffleNative.h
+
+snappy-header: $(SNAPPY_CMAKE_CACHE)
 
 $(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class: $(SRC)/org/xerial/snappy/SnappyNative.java
 	@mkdir -p $(TARGET)/jni-classes
@@ -101,13 +104,18 @@
 
 $(SNAPPY_SRC): $(SNAPPY_GIT_UNPACKED)
 
+# aarch64 can use big-endian optimzied code
+ifeq ($(OS_ARCH),aarch64)
+SNAPPY_CXX_OPTS:=-DSNAPPY_IS_BIG_ENDIAN
+endif
+
 $(SNAPPY_OUT)/%.o: $(SNAPPY_SRC_DIR)/%.cc
 	@mkdir -p $(@D)
-	$(CXX) $(CXXFLAGS) -c $< -o $@
+	$(CXX) $(SNAPPY_CXX_OPTS) $(CXXFLAGS) -c $< -o $@
 
 $(SNAPPY_OUT)/SnappyNative.o: $(SRC)/org/xerial/snappy/SnappyNative.cpp $(SRC)/org/xerial/snappy/SnappyNative.h
 	@mkdir -p $(@D)
-	$(CXX) $(CXXFLAGS) -c $< -o $@
+	$(CXX) $(SNAPPY_CXX_OPTS) $(CXXFLAGS) -c $< -o $@
 
 $(SNAPPY_OUT)/BitShuffleNative.o: $(SRC)/org/xerial/snappy/BitShuffleNative.cpp $(SRC)/org/xerial/snappy/BitShuffleNative.h
 	@mkdir -p $(@D)
@@ -132,12 +140,13 @@
 
 snappy-jar-version:=snappy-java-$(shell perl -npe "s/version in ThisBuild\s+:=\s+\"(.*)\"/\1/" version.sbt | sed -e "/^$$/d")
 
-native: jni-header $(NATIVE_DLL)
+native: jni-header snappy-header $(NATIVE_DLL)
+native-nocmake: jni-header $(NATIVE_DLL)
 snappy: native $(TARGET)/$(snappy-jar-version).jar
 
 native-all: win32 win64 mac64 native-arm linux32 linux64 linux-ppc64le linux-aarch64
 
-$(NATIVE_DLL): $(SNAPPY_SOURCE_CONFIGURED) $(SNAPPY_OUT)/$(LIBNAME)
+$(NATIVE_DLL): $(SNAPPY_OUT)/$(LIBNAME)
 	@mkdir -p $(@D)
 	cp $(SNAPPY_OUT)/$(LIBNAME) $@
 	@mkdir -p $(NATIVE_TARGET_DIR)
@@ -154,10 +163,10 @@
 DOCKER_RUN_OPTS:=--rm
 
 win32: jni-header
-	./docker/dockcross-windows-x86 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=i686-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86'
+	./docker/dockcross-windows-x86 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native snappy-header native CROSS_PREFIX=i686-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86 SNAPPY_CMAKE_OPTS="-DHAVE_SYS_UIO_H=0"'
 
 win64: jni-header
-	./docker/dockcross-windows-x64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=x86_64-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86_64'
+	./docker/dockcross-windows-x64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native snappy-header native CROSS_PREFIX=x86_64-w64-mingw32.static- OS_NAME=Windows OS_ARCH=x86_64 SNAPPY_CMAKE_OPTS="-DHAVE_SYS_UIO_H=0"'
 
 # deprecated
 mac32: jni-header
@@ -167,10 +176,10 @@
 	docker run -it $(DOCKER_RUN_OPTS) -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-apple-darwin multiarch/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86_64
 
 linux32: jni-header
-	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86'
+	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native-nocmake OS_NAME=Linux OS_ARCH=x86'
 
 linux64: jni-header
-	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native OS_NAME=Linux OS_ARCH=x86_64'
+	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native-nocmake OS_NAME=Linux OS_ARCH=x86_64'
 
 freebsd64:
 	$(MAKE) native OS_NAME=FreeBSD OS_ARCH=x86_64

=== debian/changelog ===
snappy-java (1.1.7.1+dfsg-1) unstable; urgency=medium

  * Turn exclusions of orig-tar.sh into Files-Excluded
  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.4
  * Build-Depends: maven-debian-helper
  * Point Vcs-fields to Salsa
  * Drop content of NOTICE file from d/copyright and add the file
    separately
  * d/rules:
     - Drop get-orig-source target
     - Do not set DEB_HOST_MULTIARCH
     - Do not parse d/changelog
     - hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 03 May 2018 08:38:10 +0200

=== debian/control ===
Source: snappy-java
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 11~),
               libsnappy-dev,
               maven-debian-helper
Build-Depends-Indep: libmaven-bundle-plugin-java
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
Homepage: https://github.com/xerial/snappy-java

Package: libsnappy-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends},
         libsnappy-jni
Description: Snappy for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google.
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).

Package: libsnappy-jni
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Snappy for Java, a fast compressor/decompresser (JNI library)
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google.
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).
 .
 This package contains the architecture specific Java native interface part.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/xerial/snappy-java/tags .*/([\d\.]+).tar.gz

## snappy-java 1.1.7.2

=== debian/changelog ===
snappy-java (1.1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Oct 2018 01:16:23 +0200

=== debian/control ===
Source: snappy-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Charles Plessy <plessy@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends:
 debhelper (>= 11~),
 libmaven-bundle-plugin-java,
 libsnappy-dev,
 maven-debian-helper
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
Homepage: https://github.com/xerial/snappy-java

Package: libsnappy-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}, libsnappy-jni
Description: Snappy for Java, a fast compressor/decompresser
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google.
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).

Package: libsnappy-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Snappy for Java, a fast compressor/decompresser (JNI library)
 Java port of Snappy, a fast compresser/decompresser written in C++,
 originally developed by Google.
 .
 Snappy's main target is very high-speed compression/decompression with
 reasonable compression size. So the compression ratio of snappy-java is
 modest and about the same as LZF (ranging 20%-100% according to the
 dataset).
 .
 This package contains the architecture specific Java native interface part.

## snappy-java 1.1.7.3

=== Makefile ===
--- 
+++ 
@@ -106,7 +106,9 @@
 
 # aarch64 can use big-endian optimzied code
 ifeq ($(OS_ARCH),aarch64)
+ifeq ($(ENDIANESS),$(BIG_ENDIAN))
 SNAPPY_CXX_OPTS:=-DSNAPPY_IS_BIG_ENDIAN
+endif
 endif
 
 $(SNAPPY_OUT)/%.o: $(SNAPPY_SRC_DIR)/%.cc

=== docker/Makefile ===

centos5-image:
	docker build -f Dockerfile.centos5-linux-x86_64-pic -t xerial/centos5-linux-x86_64:latest
	# dockerhub login
	# docker login --username=xerial
	# docker push xerial/centos5-linux-x86_64:latest

=== debian/changelog ===
snappy-java (1.1.7.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:10 +0100

snappy-java (1.1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version updated to 4.5.0

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 26 Jan 2020 19:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
 Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
 export JAVA_HOME := /usr/lib/jvm/default-java
-DEB_HOST_MULTIARCH   = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/default.mk
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --buildsystem=maven
 
 override_dh_auto_configure:
-	sed -e 's/%VERSION%/$(DEB_UPSTREAM_VERSION)/g' debian/pom.xml > pom.xml
+	sed -e 's/%VERSION%/$(DEB_VERSION_UPSTREAM)/g' debian/pom.xml > pom.xml
 	dh_auto_configure
 
 override_dh_auto_build-arch:
@@ -36,6 +36,3 @@
 override_dh_auto_clean:
 	-dh_auto_clean
 	rm -f pom.xml
-
-get-orig-source:
-	uscan --download-current-version --rename --force-download

## snappy-java 1.1.7.5

=== Makefile ===
--- 
+++ 
@@ -90,17 +90,15 @@
 
 $(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class: $(SRC)/org/xerial/snappy/SnappyNative.java
 	@mkdir -p $(TARGET)/jni-classes
-	$(JAVAC) -source 1.7 -target 1.7 -d $(TARGET)/jni-classes -sourcepath $(SRC) $<
+	$(JAVAC) -source 1.7 -target 1.7 -h $(SRC)/org/xerial/snappy/ -d $(TARGET)/jni-classes -sourcepath $(SRC) $<
 
 $(SRC)/org/xerial/snappy/SnappyNative.h: $(TARGET)/jni-classes/org/xerial/snappy/SnappyNative.class
-	$(JAVAH) -force -classpath $(TARGET)/jni-classes -o $@ org.xerial.snappy.SnappyNative
 
 $(TARGET)/jni-classes/org/xerial/snappy/BitShuffleNative.class: $(SRC)/org/xerial/snappy/BitShuffleNative.java
 	@mkdir -p $(TARGET)/jni-classes
-	$(JAVAC) -source 1.7 -target 1.7 -d $(TARGET)/jni-classes -sourcepath $(SRC) $<
+	$(JAVAC) -source 1.7 -target 1.7 -h $(SRC)/org/xerial/snappy/ -d $(TARGET)/jni-classes -sourcepath $(SRC) $<
 
 $(SRC)/org/xerial/snappy/BitShuffleNative.h: $(TARGET)/jni-classes/org/xerial/snappy/BitShuffleNative.class
-	$(JAVAH) -force -classpath $(TARGET)/jni-classes -o $@ org.xerial.snappy.BitShuffleNative
 
 $(SNAPPY_SRC): $(SNAPPY_GIT_UNPACKED)

=== debian/changelog ===
snappy-java (1.1.7.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Switch to debhelper level 12

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Jun 2020 23:21:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper

## snappy-java 1.1.7.7

=== debian/changelog ===
snappy-java (1.1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Sep 2020 17:59:23 +0200

## snappy-java 1.1.8.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 
 include Makefile.common
+
+$(info OS_NAME:$(OS_NAME), OS_ARCH:$(OS_ARCH))
 
 MVN:=mvn
 SBT:=./sbt
@@ -8,11 +10,11 @@
 
 SNAPPY_OUT:=$(TARGET)/snappy-$(SNAPPY_VERSION)-$(os_arch)
 SNAPPY_ARCHIVE:=$(TARGET)/snappy-$(SNAPPY_VERSION).tar.gz
-SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy.cc
+SNAPPY_CC:=snappy-sinksource.cc snappy-stubs-internal.cc snappy-c.cc snappy.cc
 SNAPPY_SRC_DIR:=$(TARGET)/snappy-$(SNAPPY_VERSION)
 SNAPPY_SRC:=$(addprefix $(SNAPPY_SRC_DIR)/,$(SNAPPY_CC))
 SNAPPY_GIT_REPO_URL:=https://github.com/google/snappy
-SNAPPY_GIT_REV:=b02bfa754ebf27921d8da3bd2517eab445b84ff9 # 1.1.7
+SNAPPY_GIT_REV:=537f4ad6240e586970fe554614542e9717df7902 # 1.1.8
 SNAPPY_UNPACKED:=$(TARGET)/snappy-extracted.log
 SNAPPY_GIT_UNPACKED:=$(TARGET)/snappy-git-extracted.log
 SNAPPY_CMAKE_CACHE=$(SNAPPY_OUT)/CMakeCache.txt
@@ -144,7 +146,7 @@
 native-nocmake: jni-header $(NATIVE_DLL)
 snappy: native $(TARGET)/$(snappy-jar-version).jar
 
-native-all: win32 win64 mac64 native-arm linux32 linux64 linux-ppc64le linux-aarch64
+native-all: native mac64 win32 win64 native-arm linux32 linux64 linux-ppc64le
 
 $(NATIVE_DLL): $(SNAPPY_OUT)/$(LIBNAME)
 	@mkdir -p $(@D)
@@ -173,7 +175,7 @@
 	$(MAKE) native OS_NAME=Mac OS_ARCH=x86
 
 mac64: jni-header
-	docker run -it $(DOCKER_RUN_OPTS) -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-apple-darwin multiarch/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86_64
+	docker run -it $(DOCKER_RUN_OPTS) -v $$PWD:/workdir -e CROSS_TRIPLE=x86_64-apple-darwin xerial/crossbuild make clean-native native OS_NAME=Mac OS_ARCH=x86_64
 
 linux32: jni-header
 	docker run $(DOCKER_RUN_OPTS) -ti -v $$PWD:/work xerial/centos5-linux-x86_64-pic bash -c 'make clean-native native-nocmake OS_NAME=Linux OS_ARCH=x86'
@@ -185,16 +187,16 @@
 	$(MAKE) native OS_NAME=FreeBSD OS_ARCH=x86_64
 
 # For ARM
-native-arm: linux-arm linux-armv6 linux-armv7 linux-android-arm
+native-arm: linux-arm linux-armv6 linux-armv7 linux-android-arm linux-arm64
 
 linux-arm: jni-header
-	./docker/dockcross-armv5 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabi- OS_NAME=Linux OS_ARCH=arm'
+	./docker/dockcross-armv5 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=/usr/xcc/armv5-unknown-linux-gnueabi/bin//armv5-unknown-linux-gnueabi- OS_NAME=Linux OS_ARCH=arm'
 
 linux-armv6: jni-header
 	./docker/dockcross-armv6 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv6'
 
 linux-armv7: jni-header
-	./docker/dockcross-armv7 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=arm-linux-gnueabihf- OS_NAME=Linux OS_ARCH=armv7'
+	./docker/dockcross-armv7 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=/usr/xcc/armv7-unknown-linux-gnueabi/bin/armv7-unknown-linux-gnueabi- OS_NAME=Linux OS_ARCH=armv7'
 
 linux-android-arm: jni-header
 	./docker/dockcross-android-arm -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=/usr/arm-linux-androideabi/bin/arm-linux-androideabi- OS_NAME=Linux OS_ARCH=android-arm'
@@ -205,8 +207,8 @@
 linux-ppc64: jni-header
 	./docker/dockcross-ppc64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=powerpc64-linux-gnu- OS_NAME=Linux OS_ARCH=ppc64'
 
-linux-aarch64: jni-header
-	./docker/dockcross-aarch64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=aarch64-linux-gnu- OS_NAME=Linux OS_ARCH=aarch64'
+linux-arm64: jni-header
+	./docker/dockcross-arm64 -a $(DOCKER_RUN_OPTS) bash -c 'make clean-native native CROSS_PREFIX=/usr/xcc/aarch64-unknown-linux-gnueabi/bin/aarch64-unknown-linux-gnueabi- OS_NAME=Linux OS_ARCH=aarch64'
 
 javadoc:
 	$(SBT) doc

=== debian/changelog ===
snappy-java (1.1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Set the source/target level to Java 8
  * Remove the prebuilt binaries from the upstream tarball
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 25 Jan 2021 09:56:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Charles Plessy <plessy@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libmaven-bundle-plugin-java,
  libsnappy-dev,
  maven-debian-helper
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/java-team/snappy-java
 Vcs-Git: https://salsa.debian.org/java-team/snappy-java.git
 Homepage: https://github.com/xerial/snappy-java

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/xerial/snappy-java/tags .*/([\d\.]+).tar.gz

## snappy-java 1.1.8.3.1

=== debian/changelog ===
snappy-java (1.1.8.3.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Mon, 25 Jul 2022 16:38:04 +0800

snappy-java (1.1.8.3.1-1+dde) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Mon, 16 May 2022 02:09:31 +0800
